﻿Public Class Form1

    '先把所需用的圖像檔匯入至「資源」內，方法如下：
    '
    '   1.  在右方「方案總管」，在程式的名稱(MovePix)上按右鍵，再選「內容」；
    '   2.  選擇「資源」；
    '   3.  按「加入資源」旁的下箭咀，選擇「加入現有檔案」，並選擇你的圖像檔案。
    '
    '   我使用的圖像檔案，檔名都是 _1、_2、...,、_6

    Dim max As Integer = 6    '共六副圖，所以隨機數的最大值為6，以max代表
    Dim myImages(max) As Image   '儲存圖片的陣列
    Dim myPic(max) As PictureBox   '記錄各PictureBox的陣列

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click

        '這段隨機數產生的程序節錄至網頁內的「參考資料」中
        Dim a(6) As Integer

        a(1) = Int(Rnd() * max) + 1

        For i As Integer = 2 To max
            Dim ok As Boolean = False
            While Not ok
                a(i) = Int(Rnd() * max) + 1
                Dim j As Integer = 1
                While a(i) <> a(j)
                    j += 1
                    If j = i Then
                        ok = True
                    End If
                End While
            End While
        Next

        'PictureBox顯示的圖片受其image屬性控制，只要改變image屬性，顯示的圖片亦會改變
        For i As Integer = 1 To max
            myPic(i).Image = myImages(a(i))
        Next

    End Sub

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        '把所有圖片賦值予 myImages 陣列
        '注意：圖片以 My.Resources._1、My.Resources._2、... 、My.Resources._6 表示

        myImages(1) = My.Resources._1
        myImages(2) = My.Resources._2
        myImages(3) = My.Resources._3
        myImages(4) = My.Resources._4
        myImages(5) = My.Resources._5
        myImages(6) = My.Resources._6

        myPic(1) = PictureBox1
        myPic(2) = PictureBox2
        myPic(3) = PictureBox3
        myPic(4) = PictureBox4
        myPic(5) = PictureBox5
        myPic(6) = PictureBox6

        Randomize()

    End Sub
End Class
